Summary: LV2 port of the ZynAddSubFX engine
Name: zyn
Version: 1
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://home.gna.org/zyn/
Source: http://download.gna.org/zyn/zyn-%{version}.tar.bz2
Patch0: zyn-1-gcc45.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Arnaud Gomes-do-Vale

BuildRequires: jack-audio-connection-kit-devel fftw-devel
BuildRequires: lv2core-devel lv2dynparam-devel

%description
The zyn project main goal is to extract synth engines from ZynAddSubFX and
pack them in LV2 plugin format. Resulting plugins are heavily based on work
made by Nasca Octavian Paul. If you like the amazing sounds these plugins
generate you should thank Paul for this.

%prep
%setup
%patch0 -p1

%build
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}/lv2
make LV2_INSTALL_PATH=%{buildroot}%{_libdir}/lv2 install

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_libdir}/lv2/zynadd.lv2

%changelog
* Wed Jan 19 2011 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added gcc45 patch for fc14

* Mon Oct 19 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added explicit lv2core-devel build dependency

* Thu Aug 07 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- initial build

